For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
      • POSTManaging the status of the order
      • POSTCreate orders in batch
      • GETGet order details
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
EcommerceOrders

Managing the status of the order

POST
https://api.brevo.com/v3/orders/status
POST
/v3/orders/status
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.ecommerce.createOrder({
8 amount: 308.42,
9 createdAt: "2021-07-29T20:59:23.383Z",
10 id: "14",
11 products: [
12 {
13 price: 99.99,
14 productId: "P1",
15 },
16 ],
17 status: "completed",
18 updatedAt: "2021-07-30T10:59:23.383Z",
19 });
20}
21main();
Manages the transactional status of the order
Was this page helpful?
Previous

Create orders in batch

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

This endpoint expects an object.
amountdoubleRequired
Total amount of the order, including all shipping expenses, tax and the price of items.
createdAtstringRequired

Event occurrence UTC date-time (YYYY-MM-DDTHH:mm:ssZ), when order is actually created.

idstringRequired
Unique ID of the order.
productslist of objectsRequired
statusstringRequired
State of the order.
updatedAtstringRequired

Event updated UTC date-time (YYYY-MM-DDTHH:mm:ssZ), when the status of the order is actually changed/updated.

billingobjectOptional
Billing details of an order.
couponslist of stringsOptional
Coupons applied to the order. Stored case insensitive.
identifiersobjectOptional
Identifies the contact associated with the order.
metaInfomap from strings to strings or integers or booleansOptional
Meta data of order to store additional detail such as custom message, customer type, source.
storeIdstringOptional
ID of store where the order is placed

Response

Order Event posted

Errors

400
Bad Request Error